#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	HTTP client/server library for GNOME
Summary(pl.UTF-8):	Biblioteka klienta/serwera HTTP dla GNOME
Name:		libsoup
Version:	2.74.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libsoup/2.74/%{name}-%{version}.tar.xz
# Source0-md5:	f693d78b2290707f4b3a10757c760c99
Patch0:		%{name}-path-override.patch
URL:		https://wiki.gnome.org/Projects/libsoup
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.58
BuildRequires:	gobject-introspection-devel >= 0.10.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.20}
BuildRequires:	heimdal-devel
BuildRequires:	libbrotli-devel
BuildRequires:	libpsl-devel >= 0.20.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	meson >= 0.50
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sqlite3-devel
BuildRequires:	sysprof-devel >= 3.38
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.58
Requires:	libpsl >= 0.20.0
# for TLS support
Suggests:	glib-networking
# ntlm_auth for NTLM support
Suggests:	samba-winbind
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsoup is an HTTP client/server library for GNOME. It uses GObjects
and the glib main loop, to integrate well with GNOME applications.

%description -l pl.UTF-8
libsoup to biblioteka klienta/serwera HTTP dla GNOME. Wykorzystuje
typy GObject oraz pętlę główną glib, aby dobrze integrować się z
aplikacjami GNOME.

%package devel
Summary:	Header files for libsoup library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsoup
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.58
Requires:	libbrotli-devel
Requires:	libpsl-devel >= 0.20.0
Requires:	libxml2-devel >= 1:2.6.31
Requires:	sqlite3-devel
Requires:	sysprof-devel >= 3.38
Requires:	zlib-devel

%description devel
Header files for libsoup library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsoup.

%package static
Summary:	libsoup static library
Summary(pl.UTF-8):	Biblioteka statyczna libsoup
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsoup static library.

%description static -l pl.UTF-8
Biblioteka statyczna libsoup.

%package gnome
Summary:	GNOME specific extensions to libsoup library
Summary(pl.UTF-8):	Rozszerzenia GNOME do biblioteki libsoup
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME specific extensions to libsoup library.

%description gnome -l pl.UTF-8
Rozszerzenia GNOME do biblioteki libsoup.

%package gnome-devel
Summary:	Header files for libsoup-gnome library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsoup-gnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}

%description gnome-devel
Header files for libsoup-gnome library.

%description gnome-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsoup-gnome.

%package gnome-static
Summary:	Static libsoup-gnome library
Summary(pl.UTF-8):	Statyczna biblioteka libsoup-gnome
Group:		Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libsoup-gnome library.

%description gnome-static -l pl.UTF-8
Statyczna biblioteka libsoup-gnome.

%package apidocs
Summary:	libsoup API documentation
Summary(pl.UTF-8):	Dokumentacja API libsoup
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
libsoup API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libsoup.

%package -n vala-libsoup
Summary:	libsoup API for Vala language
Summary(pl.UTF-8):	API libsoup dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
BuildArch:	noarch

%description -n vala-libsoup
libsoup API for Vala language.

%description -n vala-libsoup -l pl.UTF-8
API libsoup dla języka Vala.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true} \
	-Dntlm=enabled \
	-Dntlm_auth=/usr/bin/ntlm_auth \
	-Dtests=false \
	-Dtls_check=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang libsoup

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gnome -p /sbin/ldconfig
%postun	gnome -p /sbin/ldconfig

%files -f libsoup.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libsoup-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-2.4.so.1
%{_libdir}/girepository-1.0/Soup-2.4.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-2.4.so
%{_includedir}/libsoup-2.4
%{_pkgconfigdir}/libsoup-2.4.pc
%{_datadir}/gir-1.0/Soup-2.4.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libsoup-2.4.a

%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-gnome-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-gnome-2.4.so.1
%{_libdir}/girepository-1.0/SoupGNOME-2.4.typelib

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-gnome-2.4.so
%{_includedir}/libsoup-gnome-2.4
%{_pkgconfigdir}/libsoup-gnome-2.4.pc
%{_datadir}/gir-1.0/SoupGNOME-2.4.gir

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libsoup-gnome-2.4.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libsoup-2.4
%endif

%files -n vala-libsoup
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libsoup-2.4.deps
%{_datadir}/vala/vapi/libsoup-2.4.vapi
%changelog
* Sun Oct 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsoup.git;a=log;h=master

* Sun Oct 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 5363783
- updated to 2.74.1

* Tue Aug 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 5dc8ef6
- updated to 2.74.0

* Sun Apr 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 63e3996
- updated descriptions (SOAP support is removed since 2.4)

* Sun Apr 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 7fb01de
- include also private dependencies in -devel

* Sun Apr 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 18df9b3
- updated Source0 URL and rpm version

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 6642cd0
- unconditional noarch subpackages

* Mon Sep 14 2020 Jakub Bogusz <qboosh@pld-linux.org> a7fb9f4
- updated to 2.72.0

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> cec580a
- updated to 2.70.0

* Sun Mar 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 4b2343e
- updated to 2.68.4

* Fri Dec 20 2019 Jakub Bogusz <qboosh@pld-linux.org> adf75e7
- updated to 2.68.3

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> ca098ed
- updated to 2.68.2

* Thu Sep 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 8713f86
- updated to 2.68.1

* Wed Sep 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 4d3f1f1
- updated to 2.68.0
- added ugly path-override patch to allow specifying runtime path of ntlm_auth not existing at build time

* Thu Jun 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 7e356eb
- updated to 2.66.2

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> cd391c0
- updated to 2.66.1; now uses meson

* Mon Oct 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 5004dd7
- updated to 2.64.2

* Sat Oct 06 2018 Jakub Bogusz <qboosh@pld-linux.org> 86d19c6
- updated to 2.64.1

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> fba3e36
- Update to 2.62.0

* Tue Jan 09 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 3b5323c
- Update to 2.60.3

* Sat Oct 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> df75cbc
- Update to 2.60.2

